import {request} from '@/utils/request.js'

/**
 * 获取部门列表
 * @returns
 */
export function getGroupByList() {
  return request({
    url: '/group',
    method: 'GET'
  })
}

/**
 * 根据ID获取
 * @returns
 * @param groupId
 */
export function getGroupById(groupId) {
  return request({
    url: `/group/${groupId}`,
    method: 'GET'
  })
}

/**
 * 添加部门
 * @param data
 * @returns
 */
export function createGroup(data) {
  return request({
    url: `/group/add`,
    method: 'POST',
    data
  })
}

/**
 * 更新部门
 * @param data
 * @returns
 */
export function updateGroup(data) {
  return request({
    url: `/group/update`,
    method: 'PUT',
    data
  })
}

/**
 * 删除部门
 * @returns
 * @param groupId
 */
export function deleteGroupById(groupId) {
  return request({
    url: `/group/${groupId}`,
    method: 'DELETE'
  })
}

/**
 * 获取部门列表
 * @returns
 */
export function getGroupView() {
  return request({
    url: '/group/view',
    method: 'GET'
  })
}
